Zum Inhalt springen
Deutsch
Esc
↑↓navigate↵open⌘Jpreview

Create a building for a contact

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

POST/v1/buildings
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Request body
requiredapplication/json
contactIdstringrequired
namestringrequired
min length 1
streetstring | any
Show properties
Any of:
string
string
any
any
postalCodestring | any
Show properties
Any of:
string
string
any
any
citystring | any
Show properties
Any of:
string
string
any
any
countryCodestring
min length 2 · max length 2
buildingTypestring | any
Show properties
Any of:
string
string
any
any
buildingYearinteger | any
Show properties
Any of:
integer
integer
any
any
livingAreanumber | any
Show properties
Any of:
number
number
any
any
notesstring | any
Show properties
Any of:
string
string
any
any
Responses
201OK
idstringrequired
contactIdstringrequired
namestringrequired
streetstring | anyrequired
Show properties
Any of:
string
string
any
any
postalCodestring | anyrequired
Show properties
Any of:
string
string
any
any
citystring | anyrequired
Show properties
Any of:
string
string
any
any
countryCodestringrequired
buildingTypestring | anyrequired
Show properties
Any of:
string
string
any
any
buildingYearinteger | anyrequired
Show properties
Any of:
integer
integer
any
any
livingAreanumber | anyrequired
Show properties
Any of:
number
number
any
any
notesstring | anyrequired
Show properties
Any of:
string
string
any
any
createdAtstring<date-time>required
updatedAtstring<date-time>required
Request
curl -X POST "https://app.bauhow.com/api/v1/buildings" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "string",
  "buildingType": "string",
  "buildingYear": 0,
  "livingArea": 0,
  "notes": "string"
}'
Response
{
  "id": "string",
  "contactId": "string",
  "name": "string",
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "countryCode": "string",
  "buildingType": "string",
  "buildingYear": 0,
  "livingArea": 0,
  "notes": "string",
  "createdAt": "2024-01-01T00:00:00Z",
  "updatedAt": "2024-01-01T00:00:00Z"
}